Gofive OpenAPI
empeoVenio
eTaxGo
empeoVenio
eTaxGo
  1. Quotation
  • Introduction
  • Activity
    • Activities Enquiry
      POST
    • Get a Activity By Id
      GET
    • Get a Activity By No
      GET
    • Get Key Activities
      GET
    • Create or Update Activity
      POST
  • Authentication API
    • Authorization
      POST
  • Customer
    • Get customer by id
      GET
    • Get customer by code
      GET
    • GetBusinessInfoByCustomerCodeAsync
      GET
    • Create or Update customer
      POST
    • Customers Enquiry
      POST
    • Create Customer Satisfaction
      POST
    • Get customers by tax number
      GET
    • Customer Search
      POST
    • Get customer by name
      GET
    • Add Customer Event
      POST
    • Get Customer Events by Customer Code
      GET
    • Get Customer Event Types
      GET
    • Edit Customer Event
      PUT
    • Delete Customer Event
      DELETE
    • Get file categories
      GET
    • Attach files category
      POST
    • Check Customer Existence
      POST
    • Get Customer by code
      GET
  • Case
    • Add Case
    • Edit Case by CaseNo
    • Get Case by CaseNo
    • Get Case Categories
  • Case Management
    • Create Or Update Case
    • Case Enquiry
    • Get Case Categories
    • Get Case Stages
    • Get Case By CaseNo
  • Contract
    • Get Contract By No
    • Get Contract Types
    • Get Contract Templates
    • Create or Update Contract
    • Create or Update Contract Service Agreement
    • Send Contract Document
  • Conversation
    • Conversation Enquiry
    • CreateConversationAsync
    • GetConversationAsync
  • Expense
    • Create Expense
    • Update Expense
    • Expense Enquiry
    • Get a Expense
  • Deal
    • Create Deal
    • Update Deal
    • Deal Enquiry
    • Get Deal
    • Get Deal Board
    • Get Deal Stage
    • Get Deal Interest
    • Get DealLabel
    • Get Deal Missed Reason Categories
  • Employee
    • Employees Enquiry
    • Get a Employee
  • Product
    • Create Or Update Products
    • Get a Product Ticket
    • Get Products With Take & Status
    • Get a Product by ProductCode
    • Get Product Groups
    • Get Product Properties
    • Get Products By Filter
    • Verify Serial Number
    • Check Serial Verification Status
    • Create or Update Codeguard Products
    • Update Product Stock
    • Get Units
    • Get Product Reservations
    • Get Product Stocks
    • Get a Product by ProductCode (v1)
    • Products Enquiry (v1)
  • Quotation
    • Create Update Quotation
      POST
    • Quotation Enquiry
      POST
    • Get a Quotation By QuotationNo
      GET
    • Cancel Quotation
      POST
    • Get Pdf By QuotationNo
      GET
    • Convert Quotation To SalesOrder
      POST
  • SalesOrder
    • Create Or Update SalesOrder
    • SalesOrder Enquiry
    • Get a SalesOrder By Id
    • Get a SalesOrder By No
    • Get Sale Order Attachment by Id
    • Get Sale Order Attachment By No
    • Reject SaleOrder
    • Approve Sale Order
    • Update SalesOrder Payment
    • Get Pdf By SalesOrderNo
    • Update SalesOrder Tracking Number
    • Cancel SalesOrder
    • Cancel SalesOrder (v2)
    • Complete SalesOrder
    • Complete SalesOrder (v2)
  • Webhooks
    • Webhook Payload
  • Task
    • Task Enquiry
    • CompleteTaskAsync
    • CreateTask
  • Setting
    • Get HeaderTemplate
    • Get Sales Custom Fields
  • Chat
    • Post Send message
  • Storage
    • Upload files attachments
    • Get file attachments
    • Delete file attachments
  • Calendio
    • Create Venio Calendio Event
    • Edit Venio Calendio Event
    • Get Venio Calendio Events
    • Create empeo Calendio Event
    • Edit empeo Calendio Event
    • Get empeo Calendio Events
    • Get Venio Calendio Event by Id
    • Get empeo Calendio Event by Id
    • Create Appointment
    • Appointment Enquiry
    • Edit Appointment
    • Get Appointment By Id
    • Add Calendio Custom Field
    • Calendio Custom Field Enquiry
    • Get Calendio Custom Field by Id
    • Available slots Enquiry
    • Calendio Bookings Enquiry
    • Reschedule Calendio Booking time
    • Cancel Calendio Booking
  • Venio
    • SalesOrder
    • Quotation
  1. Quotation

Create Update Quotation

POST
https://api.gofive.co.th/v2/quotation
เพิ่ม แก้ไขข้อมูลใบเสนอราคา ที่อยู่ในสถานะ ร่าง รออนุมัติ และรอส่ง

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Header Params

Body Params application/json

Example
{
    "quotationSubject": "<string> ",
    "ReferenceNo": "<string>",
    "quotationNo": "<string>",
    "quotationDate": "<datetime>",
    "quotationValidUntil": "<datetime>",
    "customerCode": "<string>",
    "contactName": "<string>",
    "recipientName": "<string>",
    "recipientAddress": "<string>",
    "quotationDetails": [
        {
            "productCode": "<string>",
            "productName": "<string>",
            "price": 0,
            "qty": 0,
            "productUnitName": "<string>",
            "productDescription": "<string>",
            "discountValue": 0,
            "vatTaxValue": 0,
            "discountType": false,
            "whtTaxValue": 0,
            "isManualProduct": true,
            "bundleKey": "g1"
        }
    ],
    "currencyCode": "<string>",
    "vatCalculation": true,
    "discountName": "<string>",
    "discountType": false,
    "discountValue": 0,
    "paymentTerm": "<string>",
    "remark": "<string>",
    "privateNote": "<string>",
    "staffCode": "<string>",
    "quotationStatus": 1,
    "headerTemplate": 1,
    "warehouseCode": "WH001",
    "bundles": [
        {
            "bundleKey": "g1",
            "bundleCode": "SET-01",
            "bundleName": "ชุดห้องนอน"
        }
    ],
    "customFields": [
        {
            "dynamicFieldId": "6f1c2a4e-0000-4000-8000-000000000001",
            "value": [
                "โครงการ A"
            ]
        }
    ],
    "payment": {
        "valueType": 2,
        "schedulePayments": [
            {
                "installmentNumber": 1,
                "installmentName": "มัดจำ",
                "installmentAmount": 0,
                "installmentPercent": 30
            },
            {
                "installmentNumber": 2,
                "installmentName": "ส่งมอบงาน",
                "installmentAmount": 0,
                "installmentPercent": 70
            }
        ]
    }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.gofive.co.th/v2/quotation' \
--header 'Ocp-Apim-Subscription-Key: <Your subscription-key>' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "quotationSubject": "<string> ",
    "ReferenceNo": "<string>",
    "quotationNo": "<string>",
    "quotationDate": "<datetime>",
    "quotationValidUntil": "<datetime>",
    "customerCode": "<string>",
    "contactName": "<string>",
    "recipientName": "<string>",
    "recipientAddress": "<string>",
    "quotationDetails": [
        {
            "productCode": "<string>",
            "productName": "<string>",
            "price": 0,
            "qty": 0,
            "productUnitName": "<string>",
            "productDescription": "<string>",
            "discountValue": 0,
            "vatTaxValue": 0,
            "discountType": false,
            "whtTaxValue": 0,
            "isManualProduct": true,
            "bundleKey": "g1"
        }
    ],
    "currencyCode": "<string>",
    "vatCalculation": true,
    "discountName": "<string>",
    "discountType": false,
    "discountValue": 0,
    "paymentTerm": "<string>",
    "remark": "<string>",
    "privateNote": "<string>",
    "staffCode": "<string>",
    "quotationStatus": 1,
    "headerTemplate": 1,
    "warehouseCode": "WH001",
    "bundles": [
        {
            "bundleKey": "g1",
            "bundleCode": "SET-01",
            "bundleName": "ชุดห้องนอน"
        }
    ],
    "customFields": [
        {
            "dynamicFieldId": "6f1c2a4e-0000-4000-8000-000000000001",
            "value": [
                "โครงการ A"
            ]
        }
    ],
    "payment": {
        "valueType": 2,
        "schedulePayments": [
            {
                "installmentNumber": 1,
                "installmentName": "มัดจำ",
                "installmentAmount": 0,
                "installmentPercent": 30
            },
            {
                "installmentNumber": 2,
                "installmentName": "ส่งมอบงาน",
                "installmentAmount": 0,
                "installmentPercent": 70
            }
        ]
    }
}'

Responses

🟢200Created
application/json
Bodyapplication/json

Examples
{
    "status": {
        "code": "1000",
        "description": "Success"
    },
    "data": [
        {
            "quotationSubject": "string",
            "quotationNo": "string",
            "quotationDate": "2022-12-16T00:00:00+0700",
            "quotationValidUntil": "2023-12-16T00:00:00+0700",
            "customerCode": "string",
            "contactName": "string",
            "recipientName": "string",
            "recipientAddress": "string",
            "quotationDetails": [
                {
                    "productCode": "string",
                    "productName": "string",
                    "price": 10,
                    "qty": 6,
                    "productUnitName": "string",
                    "productDescription": "string",
                    "discountValue": 1,
                    "vatTaxValue": 3,
                    "totalPrice": 5,
                    "warehouseCode": "WH001"
                },
                {
                    "productCode": "string",
                    "productName": "string",
                    "price": 10,
                    "qty": 6,
                    "productUnitName": "string",
                    "productDescription": "string",
                    "discountValue": 1,
                    "vatTaxValue": 3,
                    "totalPrice": 5,
                    "isManualProduct": true
                }
            ],
            "currencyCode": "THB",
            "vatCalculation": true,
            "discountName": "string",
            "discountType": false,
            "discountValue": 7,
            "paymentTerm": "string",
            "remark": "string",
            "privateNote": "string",
            "staffCode": "string",
            "quotationStatus": 3,
            "subTotal": 59,
            "subTotalWithDiscount": 52,
            "totalVat": 1.56,
            "grandTotal": 53.56,
            "warehouseCode": "WH001"
        }
    ]
}
🟠400Updated
🟠401Bad Request
Modified at 2026-10-29 11:18:58
Previous
Products Enquiry (v1)
Next
Quotation Enquiry
Built with